doctrine (3.1.2+dfsg-1) experimental; urgency=medium

  [ Thomas Landauer ]
  * [Documentation] Query Result Formats

  [ Alexander M. Turek ]
  * Fix BIGINT validation (#11414)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Fri, 19 Apr 2024 07:45:49 +0200

doctrine (3.1.1+dfsg-1) experimental; urgency=medium

  [ Dmitry Bannik ]
  * #11090 - Fix obtaining an identifier in cases where the hydration has not
    yet fully completed on eagerLoadCollections

  [ Grégoire Paris ]
  * Avoid array access

  [ Benjamin Eberlei ]
  * Do not schedule batch loading for target classes with composite identifier.
  * Improve lazy ghost performance by avoiding self-referencing closure.
    (#11376)
  * [GH-11185] Bugfix: do not use collection batch loading for indexBy
    assocations. (#11380)

  [ Valentin Karnauhov ]
  * Fixed proxy initialization for EnumReflectionProperty

 -- David Prévot <taffit@debian.org>  Sun, 24 Mar 2024 10:37:44 +0100

doctrine (3.1.0+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Deprecate array access
  * Migrate more occurrences of array access
  * Translate comment into code and annotations
  * Deprecate invalid method call
  * Use class from persistence package  (#11330)

  [ Karoly Gossler ]
  * Add TokenType class (#11228)

  [ Alexander M. Turek ]
  * Remove references to deprecated constants from Lexer (#11234)
  * Throw if a variadic parameter contains unexpected named arguments (#11260)
  * Validate more variadic parameters (#11261)
  * Bump Doctrine Collections to 2.2 (#11325)

  [ Benjamin Eberlei ]
  * Refator array_map into simple loop for performance. (#11332)

  [ Rok Motaln ]
  * Fix SchemaTool::getSchemaFromMetadata() uniqueConstraint without a predefined name (#11314)

  [ David Prévot ]
  * debian/control: Build-depend on php-doctrine-collections (>> 2.2)
  * debian/copyright: Drop now useless entry

 -- David Prévot <taffit@debian.org>  Mon, 04 Mar 2024 11:46:11 +0100

doctrine (3.0.2+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Remove extra word
  * Throw a full-fledged exception on invalid call

  [ Vincent Langlet ]
  * Fix sql walker phpdoc

  [ Alexander M. Turek ]
  * Address deprecations from Collection 2.2 (#11315)
  * Remove PHP 7 workarounds (#11324)

 -- David Prévot <taffit@debian.org>  Sun, 03 Mar 2024 10:00:56 +0100

doctrine (3.0.1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Treat '0' as a legitimate trim char

  [ Simon Podlipsky ]
  * fix: support array-type arg in QB variadic calls (#11242)

  [ Ondřej Mirtes ]
  * Remove broken assertion from DateAddFunction and DateSubFunction (#11243)

  [ Hanish Singla ]
  * Allow (Array)ParameterType in QueryBuilder

  [ David Prévot ]
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sun, 25 Feb 2024 11:13:00 +0100

doctrine (3.0.0+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Use a more specific type for getSqlStatements()

 -- David Prévot <taffit@debian.org>  Mon, 05 Feb 2024 00:50:56 +0100

doctrine (3.0.0~rc1+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Flatten directory tree

  [ David Prévot ]
  * Adapt packaging to new usptream layout

 -- David Prévot <taffit@debian.org>  Tue, 30 Jan 2024 20:11:12 +0100

doctrine (3.0.0~beta2+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Prepare 2.17.0 (#11059)

  [ Grégoire Paris ]
  * Remove dependency on doctrine/common (#10998)

  [ David Prévot ]
  * Update build-dependencies

 -- David Prévot <taffit@debian.org>  Sun, 19 Nov 2023 11:01:14 +0100

doctrine (3.0.0~beta1+dfsg-1) experimental; urgency=medium

  * Upload beta to experimental

  [ David Prévot ]
  * Adapt dependencies to updated composer.json
  * Update exclusions for phpab
  * Extend clean

 -- David Prévot <taffit@debian.org>  Thu, 12 Oct 2023 13:39:50 +0200

doctrine (2.16.2+dfsg-1) unstable; urgency=medium

  [ David Arenas ]
  * Add back throws annotation to getSingleScalarResult (#10907)

  [ Matthias Pigulla ]
  * Mitigate problems with `EntityManager::flush()` reentrance since 2.16.0 (Take 2)

 -- David Prévot <taffit@debian.org>  Sun, 03 Sep 2023 09:24:19 +0530

doctrine (2.16.1+dfsg-1) unstable; urgency=medium

  [ Matthias Pigulla ]
  * Add an UPGRADE notice about the potential changes in commit order (#10866)
  * Turn identity map collisions from exception to deprecation notice (#10878)
  * Fix broken changeset computation for entities loaded through fetch=EAGER +
    using inheritance (#10884)
  * Document more clearly that the insert order is an implementation detail
    (#10883)
  * Use a dedicated exception for the check added in #10785 (#10881)

  [ Michael Olšavský ]
  * Fix UnitOfWork->originalEntityData is missing not-modified collections
    after computeChangeSet (#9301)

  [ Dieter Beck ]
  * Add possibility to set reportFieldsWhereDeclared to true in ORMSetup
    (#10865)

 -- David Prévot <taffit@debian.org>  Sat, 12 Aug 2023 08:36:05 +0200

doctrine (2.16.0+dfsg-1) unstable; urgency=medium

  [ Matthias Pigulla ]
  * Make Annotations/Attribute mapping drivers report fields for the classes
    where they are declared
  * Make EntityPersisters tell the UoW about post insert IDs early

  [ Vincent Langlet ]
  * Introduce FilterCollection#restore method (#10537)

  [ David Prévot ]
  * Compatibility with recent PHPUnit (10) (Closes: #1039747)

 -- David Prévot <taffit@debian.org>  Sat, 05 Aug 2023 11:14:12 +0200

doctrine (2.15.4+dfsg-1) unstable; urgency=medium

  [ Minh Vuong ]
  * fix: attach entity listener when reset metadata factory

  [ Grégoire Paris ]
  * Resort on Query::HINT_FORCE_PARTIAL_LOAD less
  * Follow recommendation about multiline type

  [ Matthias Pigulla ]
  * Avoid creating unmanaged proxy instances for referred-to entities during
    merge()

  [ Daniel Jurkovic ]
  * distinct() updates QueryBuilder state correctly

  [ Nicolas Grekas ]
  * Fix unserialize() errors when running tests on PHP 8.3 (#10803)
  * Fix cloning entities when using lazy-ghost proxies

  [ Rokas Mikalkėnas ]
  * Fixes recomputation of single entity change set when entity contains enum
    attributes.

 -- David Prévot <taffit@debian.org>  Mon, 24 Jul 2023 13:34:37 +0200

doctrine (2.15.3+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Document how to produce DTOs with a result set mapping

  [ Matthias Pigulla ]
  * Defer removing removed entities from to-many collections until after
    transaction commit

  [ Thibault Buathier ]
  * revert: transform backed enum to value

  [ Nicolas Grekas ]
  * Don't call canEmulateSchemas in SchemaTool when possible (#10762)
  * Don't call deprecated getSQLResultCasing and
    usesSequenceEmulatedIdentityColumns when we know the platform (#10759)

  [ Michael Roterman ]
  * OneToManyPersister does not take custom identifier types into account for
    orphan removal.

  [ Vaidas ]
  * Restore document proxy state to uninitialized on load exception (#10645)

  [ Alexander Dmitryuk ]
  * Fix missing setFilterSchemaAssetsExpression in phpdoc (#10776)

 -- David Prévot <taffit@debian.org>  Sat, 24 Jun 2023 07:08:17 +0200

doctrine (2.15.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that bookworm has been released

 -- David Prévot <taffit@debian.org>  Sun, 11 Jun 2023 16:40:52 +0200

doctrine (2.15.2+dfsg-1) experimental; urgency=medium

  [ Thibault Buathier ]
  * Fix id hash of entity with enum as identifier

  [ Heiko Przybyl ]
  * Fix single table inheritance with intermediate abstract class(es)

  [ Terence Eden ]
  * Documentation typo (#10686)

  [ MatTheCat ]
  * Create `ReflectionReadonlyProperty` from their declaring class so their
    value can be set

  [ Matthias Pigulla ]
  * Fix to-many collections left in dirty state after entities are removed by
    the UoW

  [ Grégoire Paris ]
  * Document pdo_sqlite requirement for tests (#10734)

  [ Michael Babker ]
  * Correct docs link

  [ Nicolas Grekas ]
  * Fix deprecations from doctrine/lexer

 -- David Prévot <taffit@debian.org>  Fri, 02 Jun 2023 08:11:44 +0200

doctrine (2.15.1+dfsg-1) experimental; urgency=medium

  [ stollr ]
  * Added doc for the fields parameter of the UniqueConstraint attribute

  [ Grégoire Paris ]
  * Bump version numbers in the README (#10674)

  [ Alexander M. Turek ]
  * Support unserializing 2.14 ParserResult instances (#10684)

 -- David Prévot <taffit@debian.org>  Mon, 08 May 2023 16:34:09 +0200

doctrine (2.15.0+dfsg-1) experimental; urgency=medium

  [ Rémi San ]
  * Support of NOT expression from doctrine/collections ^2.1 (#10234)

  [ Alexander M. Turek ]
  * Allow doctrine/instantiator 2 (#10351)

  [ Grégoire Paris ]
  * Drop doctrine/lexer 1

 -- David Prévot <taffit@debian.org>  Fri, 05 May 2023 08:12:48 +0200

doctrine (2.14.3+dfsg-1) experimental; urgency=medium

  [ Mathieu ]
  * Handle null comparisons in `ManyToManyPersister` (#10587)

  [ Eric COURTIAL ]
  * fix typo in HydrationCompleteHandler doc

  [ Tomas Mihalicka ]
  * Fixed xsd schema for support FQCN type

  [ Alexander M. Turek ]
  * Run tests on SQLite with foreign keys enabled (#10632)

  [ Yoann B ]
  * fix array association on partial index

 -- David Prévot <taffit@debian.org>  Sat, 22 Apr 2023 18:03:58 +0200

doctrine (2.14.2+dfsg-1) experimental; urgency=medium

  * Upload new upstream release to experimental during the freeze

 -- David Prévot <taffit@debian.org>  Sat, 15 Apr 2023 08:51:07 +0200

doctrine (2.14.1+dfsg-1) unstable; urgency=medium

  [ HypeMC ]
  * Ensure consistent original data with enums

  [ Alexander M. Turek ]
  * Include parameter types in hydration cache key generation (#10355)

  [ Nicolas Grekas ]
  * Fix initializing lazy objects and get rid of "Typed property must not be
    accessed before initialization" errors

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.

 -- David Prévot <taffit@debian.org>  Wed, 18 Jan 2023 08:17:02 +0100

doctrine (2.14.0+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Allow collections 2
  * Allow doctrine/lexer 2

  [ Alexander M. Turek ]
  * Allow doctrine/event-manager 2 (#10123)

 -- David Prévot <taffit@debian.org>  Wed, 21 Dec 2022 07:11:44 +0100

doctrine (2.13.4+dfsg-1) unstable; urgency=medium

  [ David Romaní ]
  * fix deprecated trigger help comment

  [ Alexander M. Turek ]
  * Remove reference to deprecated DriverChain from docs (#10179)

  [ HypeMC ]
  * Fix change set computation with enums (#10074)

 -- David Prévot <taffit@debian.org>  Sun, 27 Nov 2022 10:29:40 +0100

doctrine (2.13.3+dfsg-2) unstable; urgency=medium

  [ Grégoire Paris ]
  * Remove fragile assertions

 -- David Prévot <taffit@debian.org>  Wed, 23 Nov 2022 07:37:25 +0100

doctrine (2.13.3+dfsg-1) unstable; urgency=medium

  [ HypeMC ]
  * Fix using enums with the QueryBuilder

  [ Grégoire Paris ]
  * Remove return type override

 -- David Prévot <taffit@debian.org>  Mon, 10 Oct 2022 08:04:20 +0200

doctrine (2.13.2+dfsg-1) unstable; urgency=medium

  [ Tomas ]
  * Fix ArrayHydration of enums

 -- David Prévot <taffit@debian.org>  Sun, 25 Sep 2022 16:10:59 +0200

doctrine (2.13.1+dfsg-2) unstable; urgency=medium

  * Install doctrine-mapping.xsd as data

 -- David Prévot <taffit@debian.org>  Fri, 12 Aug 2022 07:47:16 +0200

doctrine (2.13.1+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Deprecate classes and methods removed in 3.0

  [ David Prévot ]
  * Drop now usless d/pkg-php-tools-autoloaders entry
  * Workaround phpab issue
  * Add php-doctrine-collections build-dependency

 -- David Prévot <taffit@debian.org>  Mon, 08 Aug 2022 19:53:06 +0200

doctrine (2.12.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Fri, 17 Jun 2022 14:07:19 +0200

doctrine (2.12.2+dfsg-2) unstable; urgency=medium

  * Build on Debian infrastructure after Polyfill exclusion bootstrap

 -- David Prévot <taffit@debian.org>  Sat, 28 May 2022 14:35:44 +0200

doctrine (2.12.2+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Allow doctrine/deprecations 1.0 (#9723)

  [ Grégoire Paris ]
  * Implement forward compatbility with Persistence 3

  [ David Prévot ]
  * Drop php-symfony-polyfill build-dependency
  * phpab: Be tolerant
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Fri, 27 May 2022 18:10:00 +0200

doctrine (2.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Mon, 31 Jan 2022 19:16:53 -0400

doctrine (2.11.0+dfsg-1) unstable; urgency=medium

  * Use php-doctrine-annotations for tests
  * Workaround the lack of Enum support in phpab
  * Revert "Don’t check tag signature"

 -- David Prévot <taffit@debian.org>  Wed, 12 Jan 2022 09:51:45 -0400

doctrine (2.10.4+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Remove fallbacks for old doctrine/annotations version (#9235)

  [ David Prévot ]
  * Don’t check tag signature
  * Drop patch not needed anymore for CI

 -- David Prévot <taffit@debian.org>  Wed, 22 Dec 2021 21:22:59 -0400

doctrine (2.10.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Sat, 04 Dec 2021 16:35:30 -0400

doctrine (2.10.2+dfsg-3) unstable; urgency=medium

  * Update upstream version at build time
  * Adapt tests for recent php-doctrine-dbal
  * Drop CLI

 -- David Prévot <taffit@debian.org>  Wed, 24 Nov 2021 22:33:57 -0400

doctrine (2.10.2+dfsg-2) unstable; urgency=medium

  * Add php-symfony-cache for CI
  * Adapt versioned dependency for dh-phpcomposer

 -- David Prévot <taffit@debian.org>  Mon, 22 Nov 2021 07:45:55 -0400

doctrine (2.10.2+dfsg-1) unstable; urgency=medium

  * Updoad to unstable now that Bullseye has been released

  [ Benjamin Eberlei ]
  * Introduce doctrine/deprecations (#8466)
  * Bump requirement to DBAL 2.13 (#8577)

  [ David Prévot ]
  * Add php-symfony-cache and php-symfony-polyfill-php80 to Build-Depends
  * d/control: Drop versioned dependency satisfied in stable
  * Update standards version to 4.6.0, no changes needed.
  * Let phpab be also tolerant with conditional definitions
  * Workaround phpab issue

 -- David Prévot <taffit@debian.org>  Sun, 21 Nov 2021 23:08:56 -0400

doctrine (2.8.4+dfsg-1) experimental; urgency=medium

  [ Michael Olšavský ]
  * Method hydrateAll() does not take into account possible exception
    from hydrateAllData() which in turn does not call cleanup()

  [ Dmitrii Bezborodnikov ]
  * Return case insensitive check

  [ David Prévot ]
  * Verify upstream signed tag on import
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Thu, 08 Apr 2021 10:03:38 -0400

doctrine (2.8.2+dfsg-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze
  * Simplify gbp import-orig
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Install /u/s/p/autoloaders file

 -- David Prévot <taffit@debian.org>  Wed, 17 Feb 2021 15:54:58 -0400

doctrine (2.8.1+dfsg-3) unstable; urgency=medium

  * Depend on recent php-doctrine-inflector

 -- David Prévot <taffit@debian.org>  Mon, 14 Dec 2020 01:25:02 -0400

doctrine (2.8.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable in sync with php-doctrine-common 3
  * Use Doctrine/Inflector current autoload path
  * Use recent php-doctrine-inflector for testsuite
  * Adapt autoload to recent php-doctrine-common

 -- David Prévot <taffit@debian.org>  Thu, 10 Dec 2020 07:52:16 -0400

doctrine (2.8.1+dfsg-1) experimental; urgency=medium

  * Upload to experimental since some dependencies are in experimental

  [ Benjamin Eberlei ]
  * PHP8 Support (#8303)

  [ Grégoire Paris ]
  * Address deprecation about PHPUnit annotations (#8070)
  * Require persistence 2 and common 3 (#8166)

 -- David Prévot <taffit@debian.org>  Mon, 07 Dec 2020 18:10:44 -0400

doctrine (2.7.5+dfsg-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Phpunit 8 (#8330)

 -- David Prévot <taffit@debian.org>  Sun, 06 Dec 2020 21:13:26 -0400

doctrine (2.7.4+dfsg-2) unstable; urgency=medium

  * Update php-doctrine-annotations dependency (fixes CI)
  * Update watch file format version to 4.
  * Set upstream metadata fields: Security-Contact.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Tue, 01 Dec 2020 15:48:08 -0400

doctrine (2.7.4+dfsg-1) unstable; urgency=medium

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)
  * Update gbp import-ref usage
  * Set Rules-Requires-Root: no.
  * Adapt overrides to new dependency
  * Update autoload.php for new php-doctrine-common

 -- David Prévot <taffit@debian.org>  Sun, 18 Oct 2020 07:52:05 -0400

doctrine (2.7.3-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Allow doctrine/common 3 and doctrine/persistence 2 (#8158)

  [ David Prévot ]
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Update homemade autoload.php
  * doctrine.1: Preserve source

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2020 08:08:45 -1000

doctrine (2.7.2-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Thu, 26 Mar 2020 19:45:53 -1000

doctrine (2.7.1-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Bump up version
  * Ignore Doctrine\Common\Persistence\ObjectManagerDecorator deprecation
  * Remove build.xml and related files
  * Rely on ocramius/package-versions to render the version

  [ David Prévot ]
  * Adapt d/rules to build.xml removal
  * Workaround the lack of PackageVersions
  * Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Sun, 23 Feb 2020 09:57:26 -1000

doctrine (2.7.0-2) unstable; urgency=medium

  * Ignore Doctrine\Common\Persistence deprecation
  * Set upstream metadata fields: Bug-Submit.

 -- David Prévot <taffit@debian.org>  Wed, 25 Dec 2019 21:51:50 +1100

doctrine (2.7.0-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Bump up version

  [ Nicolas Grekas ]
  * Allow Symfony 5.0

  [ David Prévot ]
  * d/u/metadata: Set Bug-Database, Repository, Repository-Browse
  * d/autoload.php.tpl: Update homemade autoload
  * d/control:
    - Drop versioned dependency satisfied in (old)stable
    - Update standards version to 4.4.1, no changes needed.

 -- David Prévot <taffit@debian.org>  Tue, 10 Dec 2019 07:01:36 -1000

doctrine (2.6.4-1) unstable; urgency=medium

  [ Michael Moravec ]
  * Migrate repository name doctrine/doctrine2 -> doctrine/orm

  [ David Prévot ]
  * Update upstream VCS URL

 -- David Prévot <taffit@debian.org>  Wed, 25 Sep 2019 22:25:18 -1000

doctrine (2.6.3+git-1) unstable; urgency=medium

  * Explicitely depend on Common in autoload.php
  * Use upstream testsuite
  * Document gbp import-ref usage
  * Bump debhelper from old 11 to 12
  * Update Standards-Version to 4.4.0

 -- David Prévot <taffit@debian.org>  Tue, 17 Sep 2019 09:58:59 -1000

doctrine (2.6.3+dfsg-1) unstable; urgency=medium

  [ Cyril PASCAL ]
  * Make code php 7.3 lint-compatible

  [ David Prévot ]
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Use https in debian/
  " Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Fri, 23 Nov 2018 01:27:14 -1000

doctrine (2.6.2+dfsg-2) unstable; urgency=medium

  * Pull upstream patch for PHP 7.3 compatibility (Closes: #912114)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Nov 2018 14:18:16 +0000

doctrine (2.6.2+dfsg-1) unstable; urgency=medium

  [ Michael Moravec ]
  * Preparing v2.6.2 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.5
  * Properly handle upstream version
  * Fix homemade autoload path for CLI
  * Fix manpage

 -- David Prévot <taffit@debian.org>  Wed, 18 Jul 2018 06:57:06 +0800

doctrine (2.6.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable since PHP 7.2 is now available

  [ David Prévot ]
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Mon, 05 Mar 2018 10:05:50 -1000

doctrine (2.6.0+dfsg-1) experimental; urgency=medium

  * Upload to experimental since the 2.6 branch depends on PHP 7.1

  [ Luís Cobucci ]
  * Require PHP 7.1
  * Preparing v2.6.0 release

  [ David Prévot ]
  * Update copyright

 -- David Prévot <taffit@debian.org>  Sun, 24 Dec 2017 18:53:16 +0530

doctrine (2.5.14+dfsg-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Preparing v2.5.14 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.2

 -- David Prévot <taffit@debian.org>  Mon, 18 Dec 2017 14:48:00 +0900

doctrine (2.5.13+dfsg-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Preparing v2.5.13 release

 -- David Prévot <taffit@debian.org>  Fri, 01 Dec 2017 15:07:30 -1000

doctrine (2.5.12+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Allow Symfony 4

  [ Jonathan H. Wage ]
  * Preparing v2.5.12 release

  [ David Prévot ]
  * Drop versioned dependency satisfied in stable
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Tue, 24 Oct 2017 16:07:16 -1000

doctrine (2.5.11+dfsg-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Preparing v2.5.11 release

  [ David Barratt ]
  * Fix doctrine/instantiator constraint

 -- David Prévot <taffit@debian.org>  Tue, 19 Sep 2017 01:18:01 -1000

doctrine (2.5.10+dfsg-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Preparing v2.5.10 release

  [ Tobias Schultze ]
  * Allow DBAL 2.6 to be installed
  * Allow common 2.8 to be installed

  [ David Prévot ]
  * Update Standards-Version to 4.1.0

 -- David Prévot <taffit@debian.org>  Fri, 25 Aug 2017 18:37:36 -1000

doctrine (2.5.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that owncloud is gone
  * PHP 7.0 transition:
    - Depend on php-* instead of php5-*
    - Rebuild with recent pkg-php-tools
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Fri, 15 Apr 2016 14:17:22 -0400

doctrine (2.5.4+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Release 2.5.4

  [ Jan Langer ]
  * Second level cache stores identifier with correct type even if
    findById is called with wrong identifier type

 -- David Prévot <taffit@debian.org>  Tue, 05 Jan 2016 23:06:37 -0400

doctrine (2.5.3+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Allowing doctrine/common 2.6
  * 2.5.3 release

 -- David Prévot <taffit@debian.org>  Mon, 28 Dec 2015 10:35:50 -0400

doctrine (2.5.2+dfsg-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * Allow symfony 3.0 components

  [ Marco Pivetta ]
  * Release 2.5.2

  [ David Prévot ]
  * Simplify minimal version

 -- David Prévot <taffit@debian.org>  Tue, 01 Dec 2015 09:29:11 -0400

doctrine (2.5.1+dfsg-1) experimental; urgency=medium

  [ Benjamin Eberlei ]
  * [DCOM-293] Fix security misconfiguration vulnerability allowing
    local remote arbitrary code execution. [CVE-2015-5723]

 -- David Prévot <taffit@debian.org>  Mon, 31 Aug 2015 19:23:41 -0400

doctrine (2.5.0+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Preparing for v2.5.0 release

  [ David Prévot ]
  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Sat, 04 Apr 2015 15:29:49 -0400

doctrine (2.5.0~rc2+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Bumping version for v2.5.0-RC2 release

 -- David Prévot <taffit@debian.org>  Wed, 01 Apr 2015 15:39:39 -0400

doctrine (2.5.0~rc1+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Preparing release v2.5.0-RC1

  [ David Prévot ]
  * Ship XSD file among documemtation
  * Drop transitional doctrine package

 -- David Prévot <taffit@debian.org>  Fri, 27 Mar 2015 10:20:47 -0400

doctrine (2.5.0~beta1+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Bumping version constants for the 2.5.0-BETA1 release

 -- David Prévot <taffit@debian.org>  Fri, 20 Mar 2015 06:51:45 -0400

doctrine (2.5.0~alpha2+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Doctrine ORM 2.5.0-alpha2 release

 -- David Prévot <taffit@debian.org>  Sat, 31 Jan 2015 21:29:14 -0400

doctrine (2.5.0~alpha1+dfsg-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Release v2.5.0-alpha1

 -- David Prévot <taffit@debian.org>  Thu, 22 Jan 2015 13:41:56 -0400

doctrine (2.5~20150109+dfsg-1) experimental; urgency=medium

  [ Benjamin Eberlei ]
  * Add missing LICENSE of documentation

  [ Fabio B. Silva ]
  * Second level cache

  [ David Prévot ]
  * Strip away non-DFSG compliant documentation
  * Install security information
  * Update copyright
  * Upload development version to experimental

 -- David Prévot <taffit@debian.org>  Fri, 09 Jan 2015 16:24:34 -0400

doctrine (2.4.7-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Release v2.4.7

  [ David Prévot ]
  * Provide manpage for PHP script

 -- David Prévot <taffit@debian.org>  Thu, 18 Dec 2014 16:58:50 -0400

doctrine (2.4.6-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Using `ReflectionClass#newInstanceWithoutConstructor()` also with PHP 5.6+
  * Release 2.4.6

  [ David Prévot ]
  * Add upstream changelog

 -- David Prévot <taffit@debian.org>  Fri, 10 Oct 2014 09:01:33 -0400

doctrine (2.4.5-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Release 2.4.5

  [ Benjamin Nolan ]
  * Fix for HHVM

  [ David Prévot ]
  * Update (build-)dependencies to current tools
  * Bump standard version to 3.9.6

 -- David Prévot <taffit@debian.org>  Tue, 23 Sep 2014 16:11:24 -0400

doctrine (2.4.4-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * DDC-3208 - hotfix for DDC-3160 backported to 2.4.x
  * Release 2.4.4

 -- David Prévot <taffit@debian.org>  Sun, 13 Jul 2014 11:54:21 -0400

doctrine (2.4.3-1) unstable; urgency=medium

  [ Benjamin Eberlei ]
  * Release 2.4.3

  [ David Prévot ]
  * Drop Unicode character from documentation
  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Sun, 15 Jun 2014 11:31:11 -0400

doctrine (2.4.2-1) experimental; urgency=medium

  [ Jonathan H. Wage ]
  * Release 2.4.2

  [ David Prévot ]
  * Watch the latest branches
  * Revert "Make the package DEP-8 compliant"
  * Revert "Run test suite at build time"
  * Update copyright
  * Build documentation, and upload to experimental
  * Add lintian overrides

 -- David Prévot <taffit@debian.org>  Sun, 01 Jun 2014 16:44:35 -0400

doctrine (2.3.5-1) unstable; urgency=medium

  [ Benjamin Eberlei ]
  * Release 2.3.5

  [ David Prévot ]
  * Bump standards version to 3.9.5
  * Update upstream source
  * Update copyright
  * Convert from PEAR to Composer
  * Run test suite at build time
  * Make the package DEP-8 compliant

 -- David Prévot <taffit@debian.org>  Fri, 30 May 2014 22:59:32 -0400

doctrine (2.3.3-1) unstable; urgency=low

  * Imported Upstream version 2.3.3
  * Doctrine has been renamed as DoctrineORM, the doctrine package has been
    renamed as php-doctrine-orm, and doctrine is now a transitional dummy
    package depending on php-doctrine-orm
  * Adapt packaging for new version

 -- David Prévot <taffit@debian.org>  Tue, 22 Oct 2013 17:24:29 -0400

doctrine (1.2.4-2) unstable; urgency=low

  * Move packaging to pkg-php-tools
  * Maintain the package inside the PHP PEAR team (Closes: #682304)
  * Bump compat to 9
  * Bump standards version to 3.9.4
  * Convert copyright to format 1.0
  * Update watch file
  * Depend on php-symfony-yaml (Closes: #613426)

 -- David Prévot <taffit@debian.org>  Wed, 03 Jul 2013 10:36:33 -0400

doctrine (1.2.4-1) unstable; urgency=low

  * New upstream version (closes: #594410). This will also prevent
    CVE 2011-1522 on sid, already fixed on stable-security by
    1.2.2-2+squeeze1
  * Added doctrine.ini thanks to Micah <micahg@ubuntu.com>
    (closes: #590006)
  * debian/copyright: bumped date
  * debian/install:
        + updated according to new file layout
        + added code to install doctrine.ini
  * debian/patches: removed unused patches
  * debian/rules:
        + removed uneeded fixes
        + updated touch date to the release date to fix epoch timestamp
  * debian/control: bumped Standards Version to 3.9.2 (no changes needed)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Mon, 27 Jun 2011 08:39:14 +0200

doctrine (1.2.2-2+squeeze1) stable-security; urgency=high

  * Applied fixes from 1.2.4 upstream version due to CVE 2011-1522
    (closes: #622674)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Tue, 19 Apr 2011 18:06:50 +0200

doctrine (1.2.2-2) unstable; urgency=low

  * debian/rules: removed all test running-related commands
    (closes: #591115)
  * debian/control: bumped Standards-Version to 3.9.1

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Tue, 30 Nov 2010 19:00:08 +0100


doctrine (1.2.2-1) unstable; urgency=low

  * Initial Release. (closes: #568501)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Mon, 19 Jul 2010 09:17:08 +0200
